petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchSetGradientRoutine

Sets the gradient evaluation routine for the line search

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetGradientRoutine(TaoLineSearch ls, PetscErrorCode(*func)(TaoLineSearch ls, Vec x, Vec g, void*), void *ctx)

Logically Collective on TaoLineSearch Many br

### Input Parameter

| ls | - the TaoLineSearch context Many br
| func | - the gradient evaluation routine Many br
| ctx | - the (optional) user-defined context for private data Many br

### Calling sequence of func

         func (TaoLinesearch ls, Vec x, Vec g, void *ctx);

| x | - input vector Many br
| g | - gradient vector Many br
| ctx (optional) user | - defined context Many br

Many br

### Note

Use this routine only if you want the line search gradient Many brevaluation routine to be different from the Tao's gradient Many brevaluation routine. If you use this routine you must also set Many brthe line search function and/or function/gradient routine. Many br

### Note

Some algorithms (lcl, gpcg) set their own gradient routine for the Many brline search, application programmers should be wary of overriding the Many brdefault gradient routine. Many br

### See Also

TaoLineSearchCreate(), TaoLineSearchSetObjectiveRoutine(), TaoLineSearchSetObjectiveAndGradientRoutine(), TaoLineSearchUseTaoRoutines()

Level:beginner
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages